# Quick and dirty hack to allow local development /w Firebug working
#
# Just execute this file with:
# $ shotgun app.rb
#
# You'll need to 'gem install shotgun' first.

require 'rubygems'
require 'sinatra'
load './Rakefile'

set :views, "./#{ETC_PATH}"
set :public, "./#{ETC_PATH}"

before do
  @compressed_code = !params[:compressed].nil?
end

# CSS & JS COMPILERS ---------------------------------------------------------
# Coffee script compiler (fully compiled code)
get '/build/raphgraph.js' do
  content_type :js
  
  # compile the script
  script = js_compile
  
  # compress if needed
  if @compressed_code
    script = js_compress script
  end 
  
  # return
  script
end

get ':file.json' do
  content_type :json
  File.read("#{ETC_PATH}/#{params[:file]}.json")
end

get '/images/:file' do
  File.read("#{ETC_PATH}/#{params[:file]}")
end


# TEST PAGES -----------------------------------------------------------------
get '/' do
  haml "samples".to_sym
end

get '/styles' do
  haml "styles".to_sym
end
